Subject: Re: GitGitGadget on git/git, was Re: Should we auto-close PRs on git/git?

From: Eric Wong <[email-masked]>
Date: Tue, 26 Nov 2019 22:40:44 +0000

Johannes Schindelin <[email-masked]> wrote:
> On Tue, 26 Nov 2019, Eric Wong wrote:
> > Johannes Schindelin <[email-masked]> wrote:
> > > The biggest obstacle is that at least one of those Pipelines requires
> > > access to a clone of public-inbox.org/git, and cloning that is rather
> > > expensive. Even a shallow fetch would be super expensive, by virtue of
> > > _all_ the mails being blobs reachable from the tip commit's tree.
> >
> > Fwiw, lore.kernel.org/git/$EPOCH.git ought to be somewhat cheaper,
> > but it's a different (more scalable) format which requires SQLite:
> >
> > 	https://public-inbox.org/public-inbox-v2-format.html
> 
> Is this incremental? GitGitGadget needs this to be incremental ;-)

Incremental as far as "git fetch" goes?  Of course :>
The "m" file is overwritten with every commit, so the tree size
stays at 1 (tree growth was a major scalability problem in v1).